/* Moje style CSS */
/*IMPORT FONTÓW Z GOOGLE */
@import url('https://fonts.googleapis.com/css2?family=Cutive+Mono&display=swap" rel="stylesheet');

/*KOLORY*/
:root{
    --kolor-ciemny:black;
    --kolor-jasny: white;
}
/* GLOBALNE SELEKTORY */
*{
    transition: 1s;/*animacja zmiany stylów*/
}
html{
    scroll-behavior: smooth;/*płynne przewijanie*/
}
body{
    font-family: "Cutive Mono", monospace ;
}

a{
    text-decoration: none;/*usuwa podkreślenia ze wszystkich hiperłączy w całym dokumencie*/
}
p{
    line-height: 140%;
    font-weight: 300;
}
img{
    max-width: 100%;/*responsywne obrazy*/
}
/* po przecinkach wymieniamy wszystkie elementy dla których chcemy jednakowe właściwości */
h1,h2,h3,h4,h5,h6{
    font-family: "Cutive Mono", monospace;
}
h1{color: #FF8C00;}

h2{font-size: 60px;
    margin-bottom: 40px;
    color: black;
    font-weight: 600;
    margin: 40;

}
h3{
    font-size: 30px;
    font-weight: 500;
    margin: 15px 0;
}
h4{
    font-size: 20px;
    font-weight: 500;
    margin: 10px 0;
}
h5{font-size: 20px;
    font-weight: 500;
    margin: 10px 0; }
h6{
    font-size: 12px;
    margin: 40px 0 0;
}
h8{
    color: white;
    position: relative;
    top: 100px;


}
/* NAWIGACJA */
nav{
    background-color: var(--kolor-jasny);
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px;
    position: fixed;/*przylepia nav do krawędzi okna przegl.*/
    width: 100%;
    z-index: 1;/*zmiana kolejności elementów*/
}
nav ol{
    /* background-color: orange; */
    max-width: 1000px;
    width: 100%;
    
    display: flex;
    justify-content: space-evenly;
}
nav ol li{
    /* background-color: green; */
}
nav ol li a{
    padding: 10px 30px;
    /* display: inline; utrudnia ustawianie i rozmiar */
    display: block;/*wpływają na otoczenia i można im ustawić rozmiar*/
    color: var(--kolor-ciemny);
}
nav ol li a:hover{
    background-color: var(--kolor-ciemny);
    color: var(--kolor-jasny);
    border-radius: 40px;
    font-weight: 900;
}

/* WSZYSTKIE SEKCJE */
section{
    min-height: 90vh;/*vh = viewport height = % wys. okna przegl.*/
    padding: 40px 20px;

    /*FLEX CONTAINER*/
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;/*domyślnie jest row - w wierszu*/
    scroll-margin-top: 56px;
}
.zawartosc{
    /* background-color:var(--kolor-jasny); */
    max-width: 1200px;
    width: 100%;
    /* FLEX ITEM - bo kontenre nadrzędny ma flex */
}
/* PREFIX class to . */

/* POSZCZEGÓLNE SEKCJE */
#sekcja1{
     background: url(../img/zd\ sek\ 1...png) no-repeat 
    center / cover fixed;
    .logo {
        width: 100px;
        height: auto;
       
    
    }
}
#sekcja1 .zawartosc{
    /* background-color: var(--kolor-jasny); */
    display: flex;
    flex-direction: column;
    align-items: center;/*row/column = justify/align*/
    gap: 7vh;
    margin-top: 10vh;
    .vertical-line{
        width: 1px;
        height: 60px;
        background-color: white;
    }
}
#logo{
    background-color: var(--kolor-jasny);
    color:var(--kolor-ciemny);
    height: 200px;
    width: 200px;
    border-radius: 50%;

    display: flex;
    justify-content: center;
    align-items: center;

    color:var(--kolor-jasny);
    font-size: 120px;
    font-weight:200;

    cursor: default;/*zmienia kursor na domyślny - strzałka*/

}
#logo:hover{
    background-color: var(--kolor-jasny);
    color: var(--kolor-jasny);
    transform: rotate(360deg);
    font-size: 140px;
}
#sekcja1 h1{
    color:white;
    font-size: clamp(60px, 8vw, 110px);
}
#sekcja1 h4{
    color:white;
    font-size: clamp(20px,3vw,40px);


}
#sekcja1 h2{
    color: black;
    font-size: clamp(60px, 8vw, 110px);
    .vertical-line{
        width: 1px;
        height: 100px;
        background-color: #999;
    }
    


}
#sekcja h1 span{
    font-weight: 700;
    background-color: var(--kolor-jasny);
    color:var(--kolor-jasny);
    border-radius: 50px;
    padding: 0 20px 10px;
    margin-bottom: 80px;
}
#sekcja h2 span{
    font-weight: 700;
    background-color: var(--kolor-jasny);
    color:var(--kolor-jasny);
    border-radius: 50px;
    padding: 0 20px 10px;
  
   
}
#sekcja1 a{
    color:var(--kolor-jasny);
    padding: 20px 40px;
    border: 2px solid var(--kolor-jasny);
    border-radius: 40px;
}
#sekcja1 a:hover{
    border: 2px solid var(--kolor-jasny);
    font-weight: 900;
}


#sekcja2{
    background: url(../img/sekcja\ 2.png) no-repeat 
    center / cover fixed;
}
.Description {
    min-height: 50vh;
  max-width: 900px;
  margin: 100px auto;
  text-align: center;
  font-family: "Georgia", serif;
  color: black;
}

.Description h2 {
  font-size: 64px;
  font-weight: 300;
  letter-spacing: 6px;
  
}

.Description h3{
margin-bottom: 60px;
}

.Description .text-columns p {
margin: 0;
line-height: 1.8;
align-items: start;
}
.vertical-line {
  width: 1px;
  height: 60px;
  background: black;
  margin: 0 auto 20px;
}

.subtitle {
  font-size: 14px;
  letter-spacing: 3px;
  text-transform: lowercase;
  margin-bottom: 50px;
}

.text-columns {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 60px;
  text-align: left;
}

.text-columns p {
  font-size: 14px;
  line-height: 1.8;
}

#sekcja2 .zawartosc{
   max-width: 900px;
  margin: 100px auto;
  text-align: center;
  font-family: "Georgia", serif;
  color: black;
    .vertical-line{
        width: 1px;
        height: 60px;
        background-color:white;
    }
  
    
}

.sekcja2{
    margin-bottom: 60px;
}
#sekcja2 h3{
    font-size: 64px;
  font-weight: 300;
  letter-spacing: 6px;
  margin-bottom: 20px;
     color:white;
    font-size: clamp(60px, 8vw, 60px);
}
#sekcja2 h4{
    font-size: 14px;
  letter-spacing: 6px;
  font-weight: 300;
  text-transform: lowercase;
  margin-bottom: 40px;
    color:white;
    font-size: clamp(20px,3vw,20px);

}
#sekcja2 article{
    
    flex: 0 1 260px;/*flex-grow flex-shrink
    flex-basis*/
    color:white;
    padding: 20px;
    border-radius: 30px;
    text-align: center;
}
#sekcja2 article img{
    border-radius: 20px;
}
#sekcja2 article h3{
    padding: 0 10px;
}
#sekcja2 article p{
    padding: 0 10px 20px;
}


#sekcja3 {
    background-color: white;
    /* max-width: 900px; */
    /* margin: 100px auto; */
    text-align: center;
    font-family: "Georgia", serif;
    color: #6b6b6b;
    /* margin-bottom: 100px; */
    /* padding-top: 150px; */
    text-align: center;
    scroll-margin-top: -10px !important;
}
#sekcja3 h4{
    font-size: 64px;
    font-weight: 300;
    letter-spacing: 6px;
    margin-bottom: 20px;
    color:black;
    font-size: clamp(60px, 8vw, 60px);
    margin-top: 80px;
}
#sekcja3 figure{
    margin-bottom: 120px;
    margin-top: 40px;
    display: flex;
    justify-content: center;
}
.text-columns p {
margin: 0 auto;
line-height: 1.8;
align-items: start;

}
.vertical-line {
  width: 1px;
  height: 60px;
  background: black;
  margin: 0 auto 20px;
}


.subtitle {
  font-size: 14px;
  letter-spacing: 3px;
  text-transform: lowercase;
  margin-bottom: 50px;
}

.text-columns {
  display: grid;
  grid-template-columns: 1fr 1fr;
  text-align: left;
}

.text-columns p {
  font-size: 14px;
  line-height: 1.8;
}


#sekcja3 h3{
margin-bottom: 60px;
color:black;
font-size: clamp(20px,3vw,20px);
text-align: center;
}
#sekcja3 figure{
    display: flex;
    justify-content: center;

}



#sekcja4{
    background:url(../img/sekcja\ 5.jpg) no-repeat
    center/cover fixed;
}
#sekcja4 .zawartosc{
    color: white;
    display: flex;
    flex-direction: column;
    /* gap: 40px; */
    flex-wrap: wrap;
    text-align: center;
    .vertical-line{
        width: 1px;
        height: 60px;
        background-color: white;
    }
    
     
}
#sekcja4 h5{
    color: white;
    font-size: 64px;
  font-weight: 300;
  letter-spacing: 6px;
}
.sekcja4{
    margin-bottom: 60px;
}
#sekcja4 h5{
    font-size: 64px;
  font-weight: 300;
  letter-spacing: 6px;
  margin-top: 80px;
  margin-bottom: 20px;
     color:white;
    font-size: clamp(60px, 8vw, 60px);
}
#sekcja4 h6{
    font-size: 14px;
  letter-spacing: 6px;
  font-weight: 300;
  text-transform: lowercase;
  margin-bottom: 40px;
  margin-top: 0px;
    color:white;
    font-size: clamp(20px,3vw,20px);

}

.sekcja4 img {
    width: 200px;
    height: auto;
}
.sekcja4{
 margin-bottom: 60px;
}
.Daffodil {
    
    min-height: 50vh;
    max-width: 900px;
  margin: 0px auto;
  text-align: center;
  font-family: "Georgia", serif;
  color:#FF8C00;
    
  
}
.Daffodil .zawartosc{
      .vertical-line{
        width: 1px;
        height: 60px;
        background-color:#FF8C00;
    }
}


h6{
    
font-size: 64px;
  font-weight: 300;
  letter-spacing: 6px;
  margin-bottom: 20px; 
  color:#FF8C00
}
 
h1 {
text-align: center;

}

#sekcja5{
    background:url(../img/sekcja\ 7.jpg) no-repeat
    center/cover fixed;
}
.Fakty{
    min-height: 50vh;
     max-width: 900px;
  margin: 0 auto;
  text-align: center;
  font-family: "Georgia", serif;
  color: #556B2F;
  .vertical-line{
        width: 1px;
        height: 60px;
        background-color:#556B2F;
    }
}
.Fakty h6 {
  font-size: 64px;
  font-weight: 300;
  letter-spacing: 6px;
  color: #556B2F;
  
}

.Fakty h1{
margin-bottom: 30px;
color: #556B2F;
}

.sekcja5{
    margin-bottom: 60px;
    
}
#sekcja5 .zawartosc{.vertical-line{
        width: 1px;
        height: 60px;
        background-color:white;
    }}
#sekcja5 h1{
    font-size: 64px;
  font-weight: 300;
  letter-spacing: 6px;
  margin-bottom: 20px;
     color:white;
    font-size: clamp(60px, 8vw, 60px);
}

#sekcja5 h2{
    font-size: 14px;
  letter-spacing: 6px;
  font-weight: 300;
  text-transform: lowercase;
  margin-bottom: 40px;
  text-align: center;
    color:white;
    font-size: clamp(20px,3vw,20px);

}
#sekcja5 article{
    
    flex: 0 1 260px;/*flex-grow flex-shrink
    flex-basis*/
    color:white;
    padding: 20px;
    border-radius: 30px;
    text-align: center;

}



/* STOPKA */
#stopka{
  background: url(../img/stopka\ zd.jpg)no-repeat 
    center / cover fixed;
    color: white;
    /* padding: 50px 0; */
    display: flex;
    flex-direction: column;
    align-items: center;

}



#stopka .zawartosc{
    display: flex;
    flex-wrap: wrap;
   gap: 20px;
   
}



#stopka article{
    flex: 1 1 300px;/*ustawiamy do działania WRAP*/

}
#stopka article h3{
     color:white;
    font-size: 16px;
    margin-bottom: 25px;
    letter-spacing: 1px;
  
  
}
#stopka article p{
    color: white
  
   
}
#stopka article p a{
    color: white
}
#stopka article p a:hover{
    color:white
}

#stopka article form{}
#stopka article form input{
    padding: 10px;
    border: 0;
    font-family: inherit;
}
#stopka article form input:focus{
    outline: 0;
    background-color: #FF8C00;
    color: var(--kolor-jasny);
}
#stopka article form input[type=email]{}
#stopka article form input[type=submit]{
    background-color: #FF8C00;
    font-weight: 900;
}